commit:     70e4c2e74e6cfc354a781cd14b013bb6c4cee90b
Author:     Matthew Thode <prometheanfire <AT> gentoo <DOT> org>
AuthorDate: Mon Feb 27 01:32:45 2017 +0000
Commit:     Matt Thode <prometheanfire <AT> gentoo <DOT> org>
CommitDate: Mon Feb 27 02:15:23 2017 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=70e4c2e7

dev-python/oslo-concurrency: bup

Package-Manager: Portage-2.3.3, Repoman-2.3.1

 dev-python/oslo-concurrency/Manifest               |  1 +
 .../oslo-concurrency-3.18.0.ebuild                 | 52 ++++++++++++++++++++++
 2 files changed, 53 insertions(+)

diff --git a/dev-python/oslo-concurrency/Manifest 
b/dev-python/oslo-concurrency/Manifest
index 573fdf2982..c2dbf4b836 100644
--- a/dev-python/oslo-concurrency/Manifest
+++ b/dev-python/oslo-concurrency/Manifest
@@ -1,2 +1,3 @@
 DIST oslo.concurrency-3.14.0.tar.gz 45148 SHA256 
e76adec89e3b0444f4d3076d8568ea9caf68cf0279de5b3687a51a29d2482eaf SHA512 
8bb5c147c13f60df8592314ae7894eb2a2deca1d0a27889b18f8502166065126efbfa5921a75801a1a6e1dbf618e0f9ad152938da9ab8fd3455abdcdd534f11b
 WHIRLPOOL 
39954fc922b7ac095af1afcbc8acc34ad83188cbf3067909ad8206072880ce13e2ca65654efbf1da09fd74ffb777e42ab0c0660b2e94ff5407c2e1dfe766c02b
+DIST oslo.concurrency-3.18.0.tar.gz 46670 SHA256 
49d56f2250e167ee03e3a4255d7b6086f93badd2a826e36d60324b91798c3980 SHA512 
ce934910eb33d00bbe0dbb0e022df6ebf69ba7e53ebe3fccb0f0025d9f1dd8a75b1e7547f67168e226d6fde80d953c12e7bae33559e75002a7b1b9040a8d8ce4
 WHIRLPOOL 
8f93f4d1f418d3b40322f6c576ea48d6cc0d45f1fb1ab6a3479c15b6533b125d58fe97b837f64a23ebd9fe8165292c96da00b38834d662690fa1ea5750a54a2f
 DIST oslo.concurrency-3.7.1.tar.gz 39914 SHA256 
254a42d9f0a5f21e9d56e5fd5ca7c3e355ba22d06ea47f6eb094155242ccc0f6 SHA512 
8146f22c06fd75202d0bae75a99e77a613675359cab1f6221ff68f89035b105cc6d96b6a1d8013c983a94166d826fbeaa4502fd307af9707d0a1462db678fb4f
 WHIRLPOOL 
03c55b366199e0c7a2af895fe0ad3a769778be58382ee5a40ce1e0220f80bb6273b8615d7fc295f1e25111487772291597dfc8a54ebdbe44deff68ab94916923

diff --git a/dev-python/oslo-concurrency/oslo-concurrency-3.18.0.ebuild 
b/dev-python/oslo-concurrency/oslo-concurrency-3.18.0.ebuild
new file mode 100644
index 0000000000..c1283616e0
--- /dev/null
+++ b/dev-python/oslo-concurrency/oslo-concurrency-3.18.0.ebuild
@@ -0,0 +1,52 @@
+# Copyright 1999-2017 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=6
+PYTHON_COMPAT=( python2_7 python3_4 python3_5 )
+
+inherit distutils-r1
+
+DESCRIPTION="library for running  multi-thread, multi-process applications"
+HOMEPAGE="https://pypi.python.org/pypi/oslo.concurrency";
+SRC_URI="mirror://pypi/${PN:0:1}/oslo.concurrency/oslo.concurrency-${PV}.tar.gz"
+S="${WORKDIR}/oslo.concurrency-${PV}"
+
+LICENSE="Apache-2.0"
+SLOT="0"
+KEYWORDS="~amd64 ~arm64 ~x86"
+IUSE="test"
+
+CDPEND=">=dev-python/pbr-1.8[${PYTHON_USEDEP}]"
+DEPEND="dev-python/setuptools[${PYTHON_USEDEP}]
+       ${CDEPEND}
+       test? (
+               >=dev-python/oslotest-1.10.0[${PYTHON_USEDEP}]
+               >=dev-python/coverage-4.0[${PYTHON_USEDEP}]
+               virtual/python-futures[${PYTHON_USEDEP}]
+               >=dev-python/fixtures-3.0.0[${PYTHON_USEDEP}]
+               >=dev-python/oslo-sphinx-4.7.0[${PYTHON_USEDEP}]
+               >=dev-python/sphinx-1.2.1[${PYTHON_USEDEP}]
+               <dev-python/sphinx-1.4[${PYTHON_USEDEP}]
+               >=dev-python/reno-1.8.0[${PYTHON_USEDEP}]
+               >=dev-python/eventlet-0.18.4[${PYTHON_USEDEP}]
+       )"
+RDEPEND="
+       ${CDEPEND}
+       virtual/python-enum34[${PYTHON_USEDEP}]
+       >=dev-python/oslo-config-3.14.0[${PYTHON_USEDEP}]
+       !~dev-python/oslo-config-3.18.0[${PYTHON_USEDEP}]
+       >=dev-python/oslo-i18n-2.1.0[${PYTHON_USEDEP}]
+       >=dev-python/oslo-utils-3.18.0[${PYTHON_USEDEP}]
+       >=dev-python/six-1.9.0[${PYTHON_USEDEP}]
+       >=dev-python/fasteners-0.7[${PYTHON_USEDEP}]
+"
+
+python_prepare_all() {
+       sed -i '/^futures/d' test-requirements.txt || die
+       sed -i '/^hacking/d' test-requirements.txt || die
+       distutils-r1_python_prepare_all
+}
+
+python_test() {
+       nosetests tests/ || die "test failed under ${EPYTHON}"
+}

Reply via email to